name: authd
command: authd -K ${SERVICE_ROOT}/jwt_key -u ${SERVICE_ROOT}/passwd -g ${SERVICE_ROOT}/group
environment-variables:
    - LD_LIBRARY_PATH=/usr/local/lib
user: authd
provides: auth
%pre-start
   name: Creating IPC directory
   unless-directory: /run/ipc
   command: install -d -m6777 /run/ipc
%pre-start
   name: Creating JWT key
   unless-file: ${SERVICE_ROOT}/jwt_key
   command: head -c 64 /dev/urandom | base64 > ${SERVICE_ROOT}/jwt_key
%pre-start
   name: passwd file
   unless-file: ${SERVICE_ROOT}/passwd
   command: touch ${SERVICE_ROOT}/passwd
%pre-start
   name: group file
   unless-file: ${SERVICE_ROOT}/group
   command: touch ${SERVICE_ROOT}/group
