command: gitea -C . -w . -c ./custom/conf/app.ini
consumes: postgresql, http?
requires-domain: true
ports: http

%directory ${SERVICE_ROOT}/custom/conf
	name: working directory

%configuration gitea.cfg ${SERVICE_ROOT}/custom/conf/app.ini

%pre-start
    name: gitea database creation
    # 'command' is run only if this directory doesn't exist
    unless-file: ${SERVICE_ROOT}/db_is_setup
    command: pg_create_user.sh create_user_and_db && touch ${SERVICE_ROOT}/db_is_setup
